Bug 165172 - slapd aborts on startup when /etc/openldap/ldap.conf contains an invalid TLS_CACERT entry
slapd aborts on startup when /etc/openldap/ldap.conf contains an invalid TLS_...
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openldap (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Zeleny
Jay Turner
Depends On:
Blocks: 356401
  Show dependency treegraph
Reported: 2005-08-04 17:13 EDT by Jay Fenlason
Modified: 2015-01-07 19:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-05 11:45:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
initscript patch (881 bytes, patch)
2007-10-29 09:09 EDT, Jan Safranek
no flags Details | Diff

  None (edit)
Description Jay Fenlason 2005-08-04 17:13:25 EDT
Description of problem: 
URI ldap:// 
BASE dc=redhat,dc=com 
TLS_CACERT /mnt/testarea/ca.crt 
Use the specified /etc/openldap/ldap.conf file and any slapd.conf file you 
want.  When you try to start slapd, it aborts with 
slapd: ../../../libraries/libldap_r/rdwr.c:93: ldap_pvt_thread_rdwr_destroy: 
Assertion `rw != ((void *)0)' failed. 
Version-Release number of selected component (if applicable): 
How reproducible: 
Steps to Reproduce: 
Actual results: 
Expected results: 
Additional info:
Comment 1 Jan Safranek 2007-10-29 09:09:52 EDT
Created attachment 241821 [details]
initscript patch

The readability of the CACERT file can be checked in init script, in the same
way as TLS files from slapd.conf.

User will see during startup:
/mnt/testarea/ca.crt is not readable by "ldap" [WARNING]
Starting slapd: 			       [FAILED]

This should be enough for the user to trace down his/her error.
Comment 2 RHEL Product and Program Management 2007-11-28 23:26:52 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 8 RHEL Product and Program Management 2008-10-31 12:42:52 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 Jan Zeleny 2010-03-05 11:45:32 EST
Since there will be only one more release of RHEL4 and it will be focused on performance and security, I'm closing this bug. If anyone experiences problems with this bug, I recommend switching to RHEL5, where this has already been fixed.

Note You need to log in before you can comment on or make changes to this bug.